import React from 'react'
import styled from 'styled-components'
const SVGLoading = styled.svg`
  stroke: ${props => (props.theme.light ? '#003b54' : '#fff')};
`

const LoadingText = styled.p`
  color: ${props => (props.theme.light ? '#003b54' : '#fff')};
  font-size: 16px;
`
const Loading = props => (
  <div>
    <SVGLoading width={45} height={45} viewBox="0 0 45 45" {...props}>
      <g
        fill="none"
        fillRule="evenodd"
        transform="translate(1 1)"
        strokeWidth={2}
      >
        <circle cx={22} cy={22} r={6} strokeOpacity={0}>
          <animate
            attributeName="r"
            begin="1.5s"
            dur="3s"
            values="6;22"
            calcMode="linear"
            repeatCount="indefinite"
          />
          <animate
            attributeName="stroke-opacity"
            begin="1.5s"
            dur="3s"
            values="1;0"
            calcMode="linear"
            repeatCount="indefinite"
          />
          <animate
            attributeName="stroke-width"
            begin="1.5s"
            dur="3s"
            values="2;0"
            calcMode="linear"
            repeatCount="indefinite"
          />
        </circle>
        <circle cx={22} cy={22} r={6} strokeOpacity={0}>
          <animate
            attributeName="r"
            begin="3s"
            dur="3s"
            values="6;22"
            calcMode="linear"
            repeatCount="indefinite"
          />
          <animate
            attributeName="stroke-opacity"
            begin="3s"
            dur="3s"
            values="1;0"
            calcMode="linear"
            repeatCount="indefinite"
          />
          <animate
            attributeName="stroke-width"
            begin="3s"
            dur="3s"
            values="2;0"
            calcMode="linear"
            repeatCount="indefinite"
          />
        </circle>
        <circle cx={22} cy={22} r={8}>
          <animate
            attributeName="r"
            begin="0s"
            dur="1.5s"
            values="6;1;2;3;4;5;6"
            calcMode="linear"
            repeatCount="indefinite"
          />
        </circle>
      </g>
    </SVGLoading>
    {props.text ? <LoadingText>{props.text}</LoadingText> : null}
  </div>
)

export default Loading
